Bug 1640588

Summary: python2-ironicclient ships unnecessary executables, the package should be removed
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-ironicclientAssignee: Miro Hrončok <mhroncok>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: apevec, athomas, cstratak, i.gnatenko.brain, mhroncok, ngompa13, pviktori, zbyszek
Target Milestone: ---Flags: mhroncok: needinfo? (athomas)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-ironicclient-2.2.1-2.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-07 12:51:40 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1625773    

Description Miro Hrončok 2018-10-18 11:14:15 UTC
$ dnf repoquery --repo=rawhide -l python2-ironicclient | grep bin
/usr/bin/ironic
/usr/bin/ironic-2
/usr/bin/ironic-2.7

$ dnf repoquery --repo=rawhide -l python3-ironicclient | grep bin
/usr/bin/ironic-3
/usr/bin/ironic-3.7


With the line of the https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal change I'd like to know:

What is the difference for the users, if they run ironic-2 or ironic-3? Does the Python version matter here? Note that the guidelines say:

> If the executables provide the same functionality independent of whether they are run on top of Python 2 or Python 3, then only the Python 3 version of the executable SHOULD be packaged, the python2 version MUST NOT be packaged.

Nothing in Fedora requires python2-ironicclient, so I'd like to drop it.
However I like to know the answers of the above questions first.

If the answer is "no difference", please drop the package.

Comment 1 Miro Hrončok 2018-10-28 21:38:45 UTC
I'll assume the removal is OK.